Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(683)

Issue 6813061: go/doc: fix identifier blank import handling for examples (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 years, 6 months ago by minux1
Modified:
9 years, 6 months ago
Reviewers:
r, adg, gri, golang-dev
Visibility:
Public.

Description

go/doc: fix identifier blank import handling for examples Also fixed one docs typo. Fixes issue 4300.

Patch Set 1 #

Patch Set 2 : diff -r 93dc7f0e302b https://code.google.com/p/go #

Patch Set 3 : diff -r e6a9e019cafb https://code.google.com/p/go/ #

Patch Set 4 : diff -r e6a9e019cafb https://code.google.com/p/go/ #

Total comments: 1

Patch Set 5 : diff -r 126c37a9e33c https://code.google.com/p/go/ #

Total comments: 7
Unified diffs Side-by-side diffs Delta from patch set Stats (+22 lines, -5 lines) Patch
M src/cmd/godoc/godoc.go View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M src/pkg/go/doc/example.go View 1 2 3 4 5 chunks +21 lines, -5 lines 7 comments Download

Messages

Total messages: 12
r
LGTM
9 years, 6 months ago (2012-10-31 17:55:07 UTC) #1
minux1
Hi rob, Do you think we need to restore comment group associated with the blank ...
9 years, 6 months ago (2012-10-31 19:52:44 UTC) #2
r
It would be nice. Let's see if gri can help. -rob
9 years, 6 months ago (2012-10-31 20:05:58 UTC) #3
gri
NOT LGTM There are more issues with this. Will have to look at this next ...
9 years, 6 months ago (2012-11-02 23:48:23 UTC) #4
minux1
On 2012/11/02 23:48:23, gri wrote: https://codereview.appspot.com/6813061/diff/2002/src/pkg/go/doc/example.go#newcode184 > src/pkg/go/doc/example.go:184: if c.Pos() >= p.Doc.Pos() && c.Pos() < ...
9 years, 6 months ago (2012-11-03 06:22:31 UTC) #5
minux1
gentle ping.
9 years, 6 months ago (2012-11-09 10:54:09 UTC) #6
gri
yes, my apologies. it's not the highest priority at the moment but I'll get to ...
9 years, 6 months ago (2012-11-10 00:21:09 UTC) #7
adg
The general approach looks OK to me, but: https://codereview.appspot.com/6813061/diff/9002/src/pkg/go/doc/example.go File src/pkg/go/doc/example.go (right): https://codereview.appspot.com/6813061/diff/9002/src/pkg/go/doc/example.go#newcode183 src/pkg/go/doc/example.go:183: for ...
9 years, 6 months ago (2012-11-13 11:50:47 UTC) #8
minux1
https://codereview.appspot.com/6813061/diff/9002/src/pkg/go/doc/example.go File src/pkg/go/doc/example.go (right): https://codereview.appspot.com/6813061/diff/9002/src/pkg/go/doc/example.go#newcode183 src/pkg/go/doc/example.go:183: for _, p := range blankImports { On 2012/11/13 ...
9 years, 6 months ago (2012-11-15 11:04:09 UTC) #9
gri
Apologies for the delay, I've been busy with other stuff. Some more comments on this ...
9 years, 6 months ago (2012-11-16 19:52:23 UTC) #10
minux1
On 2012/11/16 19:52:23, gri wrote: > Some more comments on this CL. These suggestions don't ...
9 years, 6 months ago (2012-11-17 17:54:27 UTC) #11
minux1
9 years, 6 months ago (2012-11-17 17:55:07 UTC) #12
*** Abandoned ***
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b